TransactionException (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacard.framework
Class TransactionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javacard.framework.CardRuntimeException
                      javacard.framework.TransactionException

    @TransactionType(value=NOT_SUPPORTED)
    public class TransactionException

extends CardRuntimeException

`TransactionException` represents an exception in the transaction subsystem. The methods referred to in this class are in the `JCSystem` class.

Direct instances of this exception class are not bound to any context and can be passed between contexts without any restrictions. Objects created and returned by the methods of this class are owned by the caller. In particular, a call to the `Throwable.toString()` returns a String instance bound to the owner context of the caller.

See Runtime Environment Specification for the Java Card Platform, Connected Edition, chapter 7 for details regarding transfer of ownership.

See Also:
  `JCSystem`

Field Summary
`static short` | `BUFFER_FULL` This reason code is used during a transaction to indicate that the commit buffer is full.
`static short` | `ILLEGAL_USE` This reason code is used by the transaction methods to indicate that the method is not available in the caller's environment.
`static short` | `IN_PROGRESS` This reason code is used by the `beginTransaction` method to indicate a transaction is already in progress.
`static short` | `INTERNAL_FAILURE` This reason code is used during a transaction to indicate an internal Java Card runtime environment problem (fatal error).
`static short` | `NOT_IN_PROGRESS` This reason code is used by the `abortTransaction` and `commitTransaction` methods when a transaction is not in progress.

Constructor Summary
`TransactionException(short reason)` Constructs a TransactionException with the specified reason.

Method Summary
`static void` | `throwIt(short reason)` Deprecated. Deprecated for extended applets and web applications on the Connected Edition of the Java Card 3 Platform. Use constructor instead.

Methods inherited from class javacard.framework.CardRuntimeException
`getReason, setReason`

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### IN_PROGRESS

    public static final short IN_PROGRESS

  This reason code is used by the `beginTransaction` method to indicate a transaction is already in progress.

  See Also:
    Constant Field Values

### NOT_IN_PROGRESS

    public static final short NOT_IN_PROGRESS

  This reason code is used by the `abortTransaction` and `commitTransaction` methods when a transaction is not in progress.

  See Also:
    Constant Field Values

### BUFFER_FULL

    public static final short BUFFER_FULL

  This reason code is used during a transaction to indicate that the commit buffer is full.

  See Also:
    Constant Field Values

### INTERNAL_FAILURE

    public static final short INTERNAL_FAILURE

  This reason code is used during a transaction to indicate an internal Java Card runtime environment problem (fatal error).

  See Also:
    Constant Field Values

### ILLEGAL_USE

    public static final short ILLEGAL_USE

  This reason code is used by the transaction methods to indicate that the method is not available in the caller's environment.

  See Also:
    Constant Field Values

Constructor Detail

### TransactionException

    public TransactionException(short reason)

  Constructs a TransactionException with the specified reason.

Method Detail

### throwIt

    public static void throwIt(short reason)

  Deprecated. Deprecated for extended applets and web applications on the Connected Edition of the Java Card 3 Platform. Use constructor instead.

  Throws a new instance of `TransactionException` with the specified reason.

  Note that a new instance is thrown upon each call to this method.

  This method is for backward compatibility with Java Card 2.x and for interoperability of classic applet applications with the Java Card 3 Classic edition.

  Throws:
    `TransactionException` - always

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.